# Class OverrideProperty<T>

java.lang.Object
com.macrofocus.common.properties.AbstractProperty<T>
com.macrofocus.common.properties.AbstractMutableProperty<T>
com.macrofocus.common.properties.OverrideProperty<T>

All Implemented Interfaces:
  `MutableProperty<T>, Property<T>`

Direct Known Subclasses:
  `MutableAlgorithmOverrideProperty`

public class OverrideProperty<T> extends AbstractMutableProperty<T>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final MutableProperty<T>`
  `defaultProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OverrideProperty(MutableProperty<Boolean> overrideDefaults, MutableProperty<T> defaultProperty)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected MutableProperty<T>`
  `addProperty(MutableProperty<T> overrideProperty)`
  `protected MutableProperty<T>`
  `createOverrideProperty()`
  `MutableProperty<T>`
  `getOverrideProperty()`
  `T`
  `getOverrideValue()`
  `T`
  `getValue()`
  `protected void`
  `removeProperty(MutableProperty<T> overrideProperty)`
  `void`
  `reset()`
  `void`
  `setValue(T value)`

  ### Methods inherited from class AbstractMutableProperty

  `bind, bindBidirectional`

  ### Methods inherited from class AbstractProperty

  `addPropertyListener, addWeakPropertyListener, notifyPropertyChanged, removePropertyListener`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Property

  `addPropertyListener, addWeakPropertyListener, removePropertyListener`

- ## Field Details

  - ### defaultProperty

    protected final MutableProperty<T> defaultProperty

- ## Constructor Details

  - ### OverrideProperty

    public OverrideProperty(MutableProperty<Boolean> overrideDefaults, MutableProperty<T> defaultProperty)

- ## Method Details

  - ### getOverrideProperty

    public MutableProperty<T> getOverrideProperty()

  - ### createOverrideProperty

    protected MutableProperty<T> createOverrideProperty()

  - ### addProperty

    protected MutableProperty<T> addProperty(MutableProperty<T> overrideProperty)

  - ### removeProperty

    protected void removeProperty(MutableProperty<T> overrideProperty)

  - ### setValue

    public void setValue(T value)

  - ### getValue

    public T getValue()

  - ### getOverrideValue

    public T getOverrideValue()

  - ### reset

    public void reset()